Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 612)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 654)
@@ -1,72 +1,19 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',0,1,189,1,207,0,0
-File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas',0,1,231,19,242,0,0
-File_2=SourceModule,'P:\vista\tmg-cprs\CPRSChart.ini',0,1,1,9,18,0,0
-File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas',0,1,343,29,349,1,0
-File_4=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas',0,1,731,1,736,1,0
-File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas',0,1,551,41,562,0,0
-File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\Win\Windows.pas',0,1,28958,88,28963,0,0
-File_7=SourceModule,'P:\vista\CPRS-1.0.23.15\CPRS-Chart\fDrawers.pas',0,1,1605,1,1614,0,0
-File_8=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\rCore.pas',0,1,933,1,945,0,0
+File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\dShared.pas',0,1,1,1,1,0,0
+File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',0,1,975,1,986,0,0
+File_2=SourceModule,'c:\program files\borland\delphi7\source\vcl\ComCtrls.pas',0,1,8808,1,8828,0,0
+File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',0,1,88,51,95,0,0
+File_4=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\variants.pas',0,1,740,1,747,0,0
+File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',0,1,3123,1,3130,0,0
+File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\common\classes.pas',0,1,4201,1,4214,0,0
+File_7=SourceModule,'c:\program files\borland\delphi7\source\vcl\Controls.pas',0,1,5874,1,5887,0,0
+File_8=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas',0,1,629,1,636,0,0
 
 [Modules]
-Module0=P:\vista\tmg-cprs\CPRS-Chart\fImages.pas
-Module1=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-Module2=P:\vista\tmg-cprs\CPRS-Chart\fxBroker.pas
-Module3=P:\Vista\tmg-cprs\CPRS-Lib\ORSystem.pas
-Module4=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module5=P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas
-Module6=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-Module7=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module8=P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas
-Module9=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
-Count=10
+Module0=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=2
 EditWindowCount=1
 TypeLibWindowCount=1
-
-[P:\vista\tmg-cprs\CPRS-Chart\fImages.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fxBroker.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Lib\ORSystem.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
 
 [P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas]
@@ -75,45 +22,22 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
-FormState=0
-FormOnTop=0
-
 [P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.tlb]
 FormState=0
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\dShared.pas]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
-FormState=0
-FormOnTop=0
-
 [EditWindow0]
-ViewCount=10
-CurrentView=7
+ViewCount=2
+CurrentView=1
 View0=0
 View1=1
-View2=2
-View3=3
-View4=4
-View5=5
-View6=6
-View7=7
-View8=8
-View9=9
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -121,88 +45,32 @@
 Visible=1
 State=0
-Left=-794
-Top=176
-Width=787
-Height=569
-MaxLeft=-4
-MaxTop=104
-ClientWidth=779
-ClientHeight=535
-LeftPanelSize=0
-LeftPanelClients=DockSite1
-LeftPanelData=000004000100000009000000446F636B5369746531000000000000000000000000000000000001000000000000000000000000FFFFFFFF
+Left=280
+Top=126
+Width=694
+Height=485
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=686
+ClientHeight=451
+LeftPanelSize=140
+LeftPanelClients=CodeExplorer@EditWindow0
+LeftPanelData=000004000000000000000000000000000000000000000000000100000000000000000C000000436F64654578706C6F726572FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=87
+BottomPanelSize=0
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400000000000B030000000000000257000000000000000100000000000000000000000001000000002303000000000000010000000023030000000000000100000000230300000000000001000000008F0200000000000001000000000B0300000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B0000004D657373616765566965770000000000000000000000000000000000FFFFFFFF
 
 [View0]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+Module=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
 CursorX=1
-CursorY=4512
-TopLine=4502
+CursorY=1
+TopLine=1
 LeftCol=1
 
 [View1]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-CursorX=1
-CursorY=859
-TopLine=850
-LeftCol=1
-
-[View2]
-Module=P:\Vista\tmg-cprs\CPRS-Lib\ORSystem.pas
-CursorX=1
-CursorY=132
-TopLine=121
-LeftCol=1
-
-[View3]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-CursorX=39
-CursorY=1483
-TopLine=1468
-LeftCol=1
-
-[View4]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-CursorX=1
-CursorY=16069
-TopLine=16058
-LeftCol=1
-
-[View5]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fxBroker.pas
-CursorX=1
-CursorY=128
-TopLine=121
-LeftCol=1
-
-[View6]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas
-CursorX=75
-CursorY=1265
-TopLine=1254
-LeftCol=1
-
-[View7]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fImages.pas
-CursorX=46
-CursorY=844
-TopLine=834
-LeftCol=1
-
-[View8]
-Module=P:\vista\tmg-cprs\CPRS-Lib\ORNet.pas
-CursorX=47
-CursorY=328
-TopLine=317
-LeftCol=1
-
-[View9]
 Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
-CursorX=1
-CursorY=189
-TopLine=178
+CursorX=13
+CursorY=894
+TopLine=882
 LeftCol=1
 
@@ -222,9 +90,6 @@
 
 [Watches]
-Count=4
-Watch0='CachedWPField',256,0,18,1,0,'Watches'
-Watch1='DataForGrid.indexof',256,0,18,1,0,'Watches'
-Watch2='E',256,0,18,1,0,'Watches'
-Watch3='MarkForDelete',256,0,18,1,0,'Watches'
+Count=1
+Watch0='frmPtSel',256,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -234,25 +99,26 @@
 Visible=1
 State=0
-Left=0
-Top=0
-Width=207
-Height=621
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=207
-ClientHeight=621
-TBDockHeight=234
+Left=-785
+Top=535
+Width=750
+Height=229
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=742
+ClientHeight=203
+TBDockHeight=57
 LRDockWidth=421
 Dockable=1
 
 [Breakpoints]
-Count=7
+Count=8
 Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\rCover.pas',315,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint1='P:\vista\tmg-cprs\TMG_Extra\HTMLEdit\TMGHTML2.pas',688,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint2='P:\vista\tmg-cprs\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',1516,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint3='P:\vista\tmg-cprs\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',1540,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint4='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1710,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1787,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',858,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint1='P:\vista\tmg-cprs\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',1516,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint2='P:\vista\tmg-cprs\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',1540,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint3='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1710,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint4='P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas',1787,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',1068,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas',286,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas',627,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -269,7 +135,7 @@
 MaxLeft=-4
 MaxTop=-4
-MaxWidth=808
+MaxWidth=1032
 MaxHeight=112
-ClientWidth=800
+ClientWidth=1024
 ClientHeight=78
 
@@ -310,6 +176,6 @@
 Visible=0
 State=0
-Left=220
-Top=110
+Left=0
+Top=39
 Width=800
 Height=561
@@ -353,5 +219,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=DragKind
+SelectedItem=
 ExpandedItems=Anchors,Options
 HiddenCategories=Legacy
@@ -361,6 +227,6 @@
 Visible=0
 State=0
-Left=31
-Top=201
+Left=-744
+Top=207
 Width=737
 Height=350
@@ -372,5 +238,5 @@
 LRDockWidth=737
 Dockable=1
-Column0Width=100
+Column0Width=178
 Column1Width=75
 Column2Width=200
@@ -383,6 +249,6 @@
 Visible=0
 State=0
-Left=592
-Top=324
+Left=363
+Top=83
 Width=420
 Height=412
@@ -544,11 +410,11 @@
 State=0
 Left=0
-Top=0
-Width=207
-Height=621
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=207
-ClientHeight=621
+Top=12
+Width=140
+Height=439
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=140
+ClientHeight=439
 TBDockHeight=305
 LRDockWidth=140
@@ -557,20 +423,20 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=1
-State=0
-Left=12
-Top=0
-Width=767
-Height=87
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=767
-ClientHeight=87
-TBDockHeight=87
+Visible=0
+State=0
+Left=-170
+Top=-513
+Width=443
+Height=85
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=443
+ClientHeight=85
+TBDockHeight=85
 LRDockWidth=443
 Dockable=1
 
 [DockHosts]
-DockHostCount=2
+DockHostCount=1
 
 [DockSite0]
@@ -579,6 +445,6 @@
 Visible=1
 State=0
-Left=-783
-Top=268
+Left=12
+Top=118
 Width=342
 Height=482
@@ -594,22 +460,2 @@
 TabDockClients=PropertyInspector,ObjectTree
 
-[DockSite1]
-DockSiteType=1
-Create=1
-Visible=0
-State=0
-Left=0
-Top=12
-Width=215
-Height=650
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=215
-ClientHeight=650
-TBDockHeight=94
-LRDockWidth=215
-Dockable=1
-TabPosition=0
-ActiveTab=Watch List
-TabDockClients=CodeExplorer@EditWindow0,WatchWindow
-