Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 654)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 655)
@@ -1,20 +1,81 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\dShared.pas',0,1,1,1,1,0,0
-File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',0,1,975,1,986,0,0
-File_2=SourceModule,'c:\program files\borland\delphi7\source\vcl\ComCtrls.pas',0,1,8808,1,8828,0,0
-File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',0,1,88,51,95,0,0
-File_4=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\variants.pas',0,1,740,1,747,0,0
-File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',0,1,3123,1,3130,0,0
-File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\common\classes.pas',0,1,4201,1,4214,0,0
-File_7=SourceModule,'c:\program files\borland\delphi7\source\vcl\Controls.pas',0,1,5874,1,5887,0,0
-File_8=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas',0,1,629,1,636,0,0
+File_0=SourceModule,'c:\program files\borland\delphi7\source\vcl\ComCtrls.pas',0,1,8808,1,8828,0,0
+File_1=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\variants.pas',0,1,740,1,747,0,0
+File_2=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',0,1,3123,1,3130,0,0
+File_3=SourceModule,'c:\program files\borland\delphi7\source\vcl\Controls.pas',0,1,5874,1,5887,0,0
 
 [Modules]
-Module0=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
-Module1=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Count=2
+Module0=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
+Module2=c:\program files\borland\delphi7\source\vcl\Menus.pas
+Module3=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+Module4=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+Module5=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
+Module6=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+Module7=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+Module8=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
+Module9=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
+Module10=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+Module11=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
+Module12=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=13
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Menus.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas]
 ModuleType=SourceModule
@@ -27,5 +88,5 @@
 FormOnTop=0
 
-[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
+[P:\vista\tmg-cprs\CPRS-Chart\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
@@ -35,9 +96,32 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\dShared.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
+FormState=0
+FormOnTop=0
+
 [EditWindow0]
-ViewCount=2
-CurrentView=1
+ViewCount=13
+CurrentView=4
 View0=0
 View1=1
+View2=2
+View3=3
+View4=4
+View5=5
+View6=6
+View7=7
+View8=8
+View9=9
+View10=10
+View11=11
+View12=12
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -45,19 +129,19 @@
 Visible=1
 State=0
-Left=280
-Top=126
-Width=694
-Height=485
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=686
-ClientHeight=451
+Left=83
+Top=116
+Width=902
+Height=607
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=894
+ClientHeight=573
 LeftPanelSize=140
 LeftPanelClients=CodeExplorer@EditWindow0
 LeftPanelData=000004000000000000000000000000000000000000000000000100000000000000000C000000436F64654578706C6F726572FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=0
-BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D657373616765566965770000000000000000000000000000000000FFFFFFFF
+BottomPanelSize=226
+BottomPanelClients=MessageView@EditWindow0,WatchWindow
+BottomPanelData=0000040000000000E200000000000000017E030000000000000100000000860000000B0000004D657373616765566965770100000000E20000000B000000576174636857696E646F77FFFFFFFF
 
 [View0]
@@ -75,4 +159,81 @@
 LeftCol=1
 
+[View2]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
+CursorX=47
+CursorY=384
+TopLine=376
+LeftCol=1
+
+[View3]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
+CursorX=1
+CursorY=627
+TopLine=619
+LeftCol=1
+
+[View4]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
+CursorX=17
+CursorY=293
+TopLine=46
+LeftCol=1
+
+[View5]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+CursorX=1
+CursorY=4423
+TopLine=4415
+LeftCol=1
+
+[View6]
+Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+CursorX=1
+CursorY=4214
+TopLine=4202
+LeftCol=1
+
+[View7]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+CursorX=1
+CursorY=993
+TopLine=980
+LeftCol=1
+
+[View8]
+Module=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
+CursorX=1
+CursorY=840
+TopLine=832
+LeftCol=1
+
+[View9]
+Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+CursorX=1
+CursorY=10083
+TopLine=10075
+LeftCol=1
+
+[View10]
+Module=c:\program files\borland\delphi7\source\vcl\Menus.pas
+CursorX=1
+CursorY=3239
+TopLine=3229
+LeftCol=1
+
+[View11]
+Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
+CursorX=1
+CursorY=16177
+TopLine=16169
+LeftCol=1
+
+[View12]
+Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+CursorX=1
+CursorY=1479
+TopLine=1471
+LeftCol=1
+
 [TypeLibEditWindow0]
 Create=1
@@ -99,13 +260,13 @@
 Visible=1
 State=0
-Left=-785
-Top=535
-Width=750
-Height=229
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=742
-ClientHeight=203
-TBDockHeight=57
+Left=12
+Top=134
+Width=882
+Height=92
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=882
+ClientHeight=92
+TBDockHeight=92
 LRDockWidth=421
 Dockable=1
@@ -120,5 +281,5 @@
 Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',1068,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas',286,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas',627,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas',339,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -412,9 +573,9 @@
 Top=12
 Width=140
-Height=439
+Height=332
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=140
-ClientHeight=439
+ClientHeight=332
 TBDockHeight=305
 LRDockWidth=140
@@ -423,15 +584,15 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=0
-State=0
-Left=-170
-Top=-513
-Width=443
-Height=85
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=443
-ClientHeight=85
-TBDockHeight=85
+Visible=1
+State=0
+Left=12
+Top=0
+Width=882
+Height=130
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=882
+ClientHeight=130
+TBDockHeight=130
 LRDockWidth=443
 Dockable=1