Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 657)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 659)
@@ -5,24 +5,45 @@
 
 [Modules]
-Module0=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module1=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
-Module2=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-Module3=c:\program files\borland\delphi7\source\vcl\Controls.pas
-Module4=c:\program files\borland\delphi7\source\vcl\Menus.pas
+Module0=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
+Module2=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module3=P:\vista\tmg-cprs\CPRS-Chart\fReports.pas
+Module4=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
 Module5=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module6=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
-Module7=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module8=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-Module9=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
-Module10=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
-Module11=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module12=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
-Module13=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
-Module14=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
-Module15=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Count=16
+Module6=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
+Module7=c:\program files\borland\delphi7\source\vcl\Menus.pas
+Module8=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
+Module9=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+Module10=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+Module11=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+Module12=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module13=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
+Module14=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
+Module15=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
+Module16=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=17
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fReports.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
 ModuleType=SourceModule
@@ -30,7 +51,32 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas]
-ModuleType=SourceModule
-FormState=1
+[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Menus.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
+ModuleType=SourceModule
+FormState=0
 FormOnTop=0
 
@@ -45,44 +91,4 @@
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\vcl\Menus.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=1
-
-[P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas]
 ModuleType=SourceModule
@@ -126,6 +132,6 @@
 
 [EditWindow0]
-ViewCount=16
-CurrentView=12
+ViewCount=17
+CurrentView=4
 View0=0
 View1=1
@@ -144,4 +150,5 @@
 View14=14
 View15=15
+View16=16
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -196,5 +203,5 @@
 Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
 CursorX=1
-CursorY=349
+CursorY=347
 TopLine=339
 LeftCol=1
@@ -209,7 +216,7 @@
 [View6]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
-CursorX=24
+CursorX=1
 CursorY=1210
-TopLine=1210
+TopLine=1204
 LeftCol=1
 
@@ -222,4 +229,11 @@
 
 [View8]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fReports.pas
+CursorX=33
+CursorY=845
+TopLine=837
+LeftCol=1
+
+[View9]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
 CursorX=1
@@ -228,5 +242,5 @@
 LeftCol=1
 
-[View9]
+[View10]
 Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
 CursorX=1
@@ -235,5 +249,5 @@
 LeftCol=1
 
-[View10]
+[View11]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
 CursorX=1
@@ -242,5 +256,5 @@
 LeftCol=1
 
-[View11]
+[View12]
 Module=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
 CursorX=1
@@ -249,5 +263,5 @@
 LeftCol=1
 
-[View12]
+[View13]
 Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
 CursorX=1
@@ -256,5 +270,5 @@
 LeftCol=1
 
-[View13]
+[View14]
 Module=c:\program files\borland\delphi7\source\vcl\Menus.pas
 CursorX=1
@@ -263,5 +277,5 @@
 LeftCol=1
 
-[View14]
+[View15]
 Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
 CursorX=1
@@ -270,5 +284,5 @@
 LeftCol=1
 
-[View15]
+[View16]
 Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
 CursorX=1
@@ -314,5 +328,5 @@
 
 [Breakpoints]
-Count=10
+Count=9
 Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\rCover.pas',315,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint1='P:\vista\tmg-cprs\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',1516,'',0,1,'',1,0,0,'',1,'','',''
@@ -322,7 +336,6 @@
 Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',1068,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas',286,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas',347,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint8='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4423,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint9='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas',293,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4423,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint8='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas',293,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -423,5 +436,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=OnCreate
+SelectedItem=Caption
 ExpandedItems=Anchors,Options
 HiddenCategories=Legacy