Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 667)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 671)
@@ -1,134 +1,40 @@
 [Closed Files]
-File_0=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\variants.pas',0,1,740,1,747,0,0
-File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',0,1,3123,1,3130,0,0
+File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fTMGPrintingAnimation.dfm',0,1,709,34,5,0,0
+File_1=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas',0,1,4331,1,4343,0,0
+File_2=SourceModule,'c:\program files\borland\delphi7\source\vcl\Menus.pas',0,1,1814,1,1822,0,0
+File_3=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\system.pas',0,1,11704,1,11719,0,0
+File_4=SourceModule,'P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas',0,1,832,1,840,0,0
+File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',0,1,980,1,993,0,0
+File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\common\classes.pas',0,1,3974,1,3986,0,0
+File_7=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',0,1,4414,1,4423,0,0
+File_8=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fReports.pas',0,1,837,33,845,0,0
+File_9=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas',0,1,58,10,51,0,0
 
 [Modules]
-Module0=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module1=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-Module2=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
-Module3=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncounterFrame.pas
-Module4=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-Module5=c:\program files\borland\delphi7\source\vcl\Menus.pas
-Module6=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module7=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
-Module8=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
-Module9=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module10=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-Module11=P:\vista\tmg-cprs\CPRS-Chart\fReports.pas
-Module12=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas
-Module13=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-Module14=c:\program files\borland\delphi7\source\vcl\Forms.pas
-Module15=c:\program files\borland\delphi7\source\vcl\Graphics.pas
-Module16=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
-Module17=c:\program files\borland\delphi7\source\vcl\Controls.pas
-Module18=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
-Module19=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
-Module20=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
-Module21=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Count=22
+Module0=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas
+Module2=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
+Module3=P:\vista\tmg-cprs\CPRS-Chart\rReports.pas
+Module4=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=5
 EditWindowCount=1
 TypeLibWindowCount=1
 
-[P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas]
+[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=1
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas]
 ModuleType=SourceModule
 FormState=0
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncounterFrame.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Menus.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fReports.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Forms.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Graphics.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Controls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas]
+[P:\vista\tmg-cprs\CPRS-Chart\rReports.pas]
 ModuleType=SourceModule
 FormState=0
@@ -148,19 +54,11 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\dShared.pas]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
+[P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
 FormState=0
 FormOnTop=0
 
 [EditWindow0]
-ViewCount=22
-CurrentView=8
+ViewCount=5
+CurrentView=3
 View0=0
 View1=1
@@ -168,21 +66,4 @@
 View3=3
 View4=4
-View5=5
-View6=6
-View7=7
-View8=8
-View9=9
-View10=10
-View11=11
-View12=12
-View13=13
-View14=14
-View15=15
-View16=16
-View17=17
-View18=18
-View19=19
-View20=20
-View21=21
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -200,164 +81,45 @@
 ClientWidth=1024
 ClientHeight=630
-LeftPanelSize=0
+LeftPanelSize=140
 LeftPanelClients=CodeExplorer@EditWindow0
-LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
+LeftPanelData=00000400000000008C00000000000000027E010000000000000100000000000000000000000001000000008C0000000C000000436F64654578706C6F726572FFFFFFFF
 RightPanelSize=0
 BottomPanelSize=245
-BottomPanelClients=DockSite1,MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D65737361676556696577F50000000000000001000400000000000001000000002A000000000000000100000002F50000000000000002000000000004000009000000446F636B53697465310200000000000400000B0000004D65737361676556696577FFFFFFFF
+BottomPanelClients=MessageView@EditWindow0,DockSite1
+BottomPanelData=00000400010000000B0000004D65737361676556696577F50000000000000001000400000000000001000000002A000000000000000100000002F50000000000000002000000000004000009000000446F636B53697465310200000000000400000B0000004D657373616765566965770200000000000400000000000002000000000004000000000000FFFFFFFF
 
 [View0]
 Module=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+CursorX=64
+CursorY=363
+TopLine=352
+LeftCol=1
+
+[View1]
+Module=P:\vista\tmg-cprs\CPRS-Chart\rReports.pas
 CursorX=1
-CursorY=366
-TopLine=357
+CursorY=642
+TopLine=630
 LeftCol=1
 
-[View1]
-Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\HTMLEdit\TMGHTML2.pas
-CursorX=13
-CursorY=894
-TopLine=882
+[View2]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas
+CursorX=9
+CursorY=310
+TopLine=301
 LeftCol=1
 
-[View2]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
-CursorX=47
-CursorY=384
-TopLine=376
+[View3]
+Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+CursorX=1
+CursorY=1479
+TopLine=1470
 LeftCol=1
 
-[View3]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
-CursorX=1
-CursorY=627
-TopLine=619
-LeftCol=1
-
 [View4]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas
-CursorX=1
-CursorY=347
-TopLine=324
-LeftCol=1
-
-[View5]
-Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
-CursorX=1
-CursorY=6245
-TopLine=6231
-LeftCol=1
-
-[View6]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
-CursorX=1
-CursorY=1210
-TopLine=1204
-LeftCol=1
-
-[View7]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncounterFrame.pas
-CursorX=42
-CursorY=369
-TopLine=361
-LeftCol=1
-
-[View8]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas
-CursorX=1
-CursorY=1511
-TopLine=1502
-LeftCol=1
-
-[View9]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-CursorX=60
-CursorY=354
-TopLine=347
-LeftCol=1
-
-[View10]
-Module=c:\program files\borland\delphi7\source\vcl\Graphics.pas
-CursorX=1
-CursorY=2325
-TopLine=2317
-LeftCol=1
-
-[View11]
-Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
-CursorX=1
-CursorY=2974
-TopLine=2961
-LeftCol=1
-
-[View12]
-Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-CursorX=1
-CursorY=4197
-TopLine=4188
-LeftCol=1
-
-[View13]
-Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas
-CursorX=10
-CursorY=51
-TopLine=58
-LeftCol=1
-
-[View14]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fReports.pas
-CursorX=33
-CursorY=845
-TopLine=837
-LeftCol=1
-
-[View15]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+Module=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
 CursorX=22
-CursorY=1751
-TopLine=1743
-LeftCol=1
-
-[View16]
-Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-CursorX=1
-CursorY=3986
-TopLine=3974
-LeftCol=1
-
-[View17]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
-CursorX=1
-CursorY=993
-TopLine=980
-LeftCol=1
-
-[View18]
-Module=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
-CursorX=1
-CursorY=840
-TopLine=832
-LeftCol=1
-
-[View19]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-CursorX=1
-CursorY=11719
-TopLine=11704
-LeftCol=1
-
-[View20]
-Module=c:\program files\borland\delphi7\source\vcl\Menus.pas
-CursorX=1
-CursorY=1822
-TopLine=1814
-LeftCol=1
-
-[View21]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-CursorX=1
-CursorY=4343
-TopLine=4331
+CursorY=135
+TopLine=114
 LeftCol=1
 
@@ -508,5 +270,5 @@
 SplitPos=114
 ArrangeBy=Name
-SelectedItem=Action
+SelectedItem=
 ExpandedItems=CalColors,EdgeBorders,Options
 HiddenCategories=Legacy
@@ -538,6 +300,6 @@
 Visible=0
 State=0
-Left=55
-Top=390
+Left=456
+Top=279
 Width=443
 Height=350
@@ -696,15 +458,15 @@
 [CodeExplorer@EditWindow0]
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=0
 Top=12
 Width=140
-Height=383
+Height=370
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=140
-ClientHeight=383
-TBDockHeight=305
+ClientHeight=370
+TBDockHeight=370
 LRDockWidth=140
 Dockable=1
@@ -714,11 +476,11 @@
 Visible=0
 State=0
-Left=376
-Top=0
-Width=648
+Left=524
+Top=0
+Width=500
 Height=245
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=648
+ClientWidth=500
 ClientHeight=245
 TBDockHeight=245
@@ -734,6 +496,6 @@
 Visible=1
 State=0
-Left=2
-Top=121
+Left=82
+Top=116
 Width=278
 Height=595