Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 671)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 686)
@@ -1,30 +1,32 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fTMGPrintingAnimation.dfm',0,1,709,34,5,0,0
-File_1=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas',0,1,4331,1,4343,0,0
-File_2=SourceModule,'c:\program files\borland\delphi7\source\vcl\Menus.pas',0,1,1814,1,1822,0,0
-File_3=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\system.pas',0,1,11704,1,11719,0,0
-File_4=SourceModule,'P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas',0,1,832,1,840,0,0
-File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',0,1,980,1,993,0,0
-File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\common\classes.pas',0,1,3974,1,3986,0,0
-File_7=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',0,1,4414,1,4423,0,0
-File_8=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fReports.pas',0,1,837,33,845,0,0
-File_9=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fWebTab.pas',0,1,58,10,51,0,0
+File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\dShared.pas',0,1,203,34,224,0,0
+File_1=SourceModule,'C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas',0,1,1470,1,1479,0,0
+File_2=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\rReports.pas',0,1,630,1,642,0,0
+File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas',0,1,301,9,310,0,0
+File_4=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\uFormMonitor.pas',0,1,1,1,1,0,0
+File_5=SourceModule,'c:\program files\borland\delphi7\source\vcl\Forms.pas',0,1,3770,1,3779,0,0
+File_6=SourceModule,'c:\program files\borland\delphi7\source\rtl\Sys\system.pas',0,1,13366,4,13380,0,0
 
 [Modules]
-Module0=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module1=P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas
+Module0=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
 Module2=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
-Module3=P:\vista\tmg-cprs\CPRS-Chart\rReports.pas
-Module4=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Count=5
+Module3=P:\vista\tmg-cprs\CPRS-Chart\Templates\rTemplates.pas
+Module4=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+Module5=P:\vista\tmg-cprs\CPRS-Chart\fOptionsNotes.pas
+Module6=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+Module7=P:\vista\tmg-cprs\CPRS-Chart\uReminders.pas
+Module8=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Module9=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
+Count=10
 EditWindowCount=1
 TypeLibWindowCount=1
 
-[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas]
+[P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas]
 ModuleType=SourceModule
 FormState=0
@@ -36,5 +38,25 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\rReports.pas]
+[P:\vista\tmg-cprs\CPRS-Chart\Templates\rTemplates.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fOptionsNotes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\uReminders.pas]
 ModuleType=SourceModule
 FormState=0
@@ -46,4 +68,13 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\dShared.pas]
+FormState=0
+FormOnTop=0
+
 [C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
@@ -54,4 +85,12 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
+FormState=0
+FormOnTop=0
+
 [P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
 FormState=0
@@ -59,6 +98,6 @@
 
 [EditWindow0]
-ViewCount=5
-CurrentView=3
+ViewCount=10
+CurrentView=6
 View0=0
 View1=1
@@ -66,60 +105,98 @@
 View3=3
 View4=4
+View5=5
+View6=6
+View7=7
+View8=8
+View9=9
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
 Create=1
 Visible=1
-State=2
-Left=221
-Top=132
+State=0
+Left=168
+Top=130
 Width=803
 Height=591
-MaxLeft=-4
-MaxTop=108
-MaxWidth=1032
-MaxHeight=664
-ClientWidth=1024
-ClientHeight=630
+MaxLeft=-136
+MaxTop=126
+ClientWidth=795
+ClientHeight=557
 LeftPanelSize=140
 LeftPanelClients=CodeExplorer@EditWindow0
-LeftPanelData=00000400000000008C00000000000000027E010000000000000100000000000000000000000001000000008C0000000C000000436F64654578706C6F726572FFFFFFFF
+LeftPanelData=00000400000000008C000000000000000235010000000000000100000000000000000000000001000000008C0000000C000000436F64654578706C6F726572FFFFFFFF
 RightPanelSize=0
 BottomPanelSize=245
-BottomPanelClients=MessageView@EditWindow0,DockSite1
-BottomPanelData=00000400010000000B0000004D65737361676556696577F50000000000000001000400000000000001000000002A000000000000000100000002F50000000000000002000000000004000009000000446F636B53697465310200000000000400000B0000004D657373616765566965770200000000000400000000000002000000000004000000000000FFFFFFFF
+BottomPanelClients=DockSite0,MessageView@EditWindow0
+BottomPanelData=0000040000000000F500000000000000011B0300000000000001000000002A000000000000000100000002F50000000000000002000000004B01000009000000446F636B536974653002000000001B0300000B0000004D65737361676556696577020000000000040000000000000200000000000400000000000002000000000004000000000000FFFFFFFF
 
 [View0]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+CursorX=63
+CursorY=1590
+TopLine=1583
+LeftCol=1
+
+[View1]
 Module=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-CursorX=64
-CursorY=363
-TopLine=352
-LeftCol=1
-
-[View1]
-Module=P:\vista\tmg-cprs\CPRS-Chart\rReports.pas
 CursorX=1
-CursorY=642
-TopLine=630
+CursorY=333
+TopLine=324
 LeftCol=1
 
 [View2]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fNotePrt.pas
-CursorX=9
-CursorY=310
-TopLine=301
+Module=P:\vista\tmg-cprs\CPRS-Chart\fOptionsNotes.pas
+CursorX=54
+CursorY=103
+TopLine=97
 LeftCol=1
 
 [View3]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas
 CursorX=1
-CursorY=1479
-TopLine=1470
+CursorY=382
+TopLine=375
 LeftCol=1
 
 [View4]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\rTemplates.pas
+CursorX=1
+CursorY=98
+TopLine=89
+LeftCol=1
+
+[View5]
+Module=P:\vista\tmg-cprs\CPRS-Chart\uReminders.pas
+CursorX=1
+CursorY=4507
+TopLine=4558
+LeftCol=1
+
+[View6]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas
+CursorX=1
+CursorY=580
+TopLine=573
+LeftCol=1
+
+[View7]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+CursorX=1
+CursorY=559
+TopLine=550
+LeftCol=1
+
+[View8]
 Module=P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas
-CursorX=22
-CursorY=135
-TopLine=114
+CursorX=1
+CursorY=760
+TopLine=751
+LeftCol=1
+
+[View9]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplateFields.pas
+CursorX=7
+CursorY=472
+TopLine=457
 LeftCol=1
 
@@ -139,6 +216,8 @@
 
 [Watches]
-Count=1
+Count=3
 Watch0='frmPtSel',256,0,18,1,0,'Watches'
+Watch1='FRealType',256,0,18,1,0,'Watches'
+Watch2='FDialog',256,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -150,9 +229,9 @@
 Left=0
 Top=0
-Width=1004
+Width=307
 Height=216
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=1004
+ClientWidth=307
 ClientHeight=216
 TBDockHeight=264
@@ -161,5 +240,5 @@
 
 [Breakpoints]
-Count=12
+Count=33
 Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\rCover.pas',315,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint1='P:\vista\tmg-cprs\TMG_Extra\HTMLEdit\EmbeddedED\EmbeddedED.pas',1516,'',0,1,'',1,0,0,'',1,'','',''
@@ -169,9 +248,30 @@
 Breakpoint5='P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas',1068,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint6='P:\vista\tmg-cprs\CPRS-Chart\fPtSelOptns.pas',286,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4423,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint8='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsNotes.pas',293,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint9='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',3692,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint10='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1059,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint11='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1076,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint7='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',4424,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint8='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',3692,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint9='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1059,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint10='P:\vista\tmg-cprs\CPRS-Chart\fFrame.pas',1076,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint11='P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',319,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint12='P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',387,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint13='P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',562,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint14='P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',370,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint15='P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',382,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint16='P:\vista\tmg-cprs\CPRS-Chart\rHTMLTools.pas',760,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint17='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',1946,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint18='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',1947,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint19='P:\vista\tmg-cprs\CPRS-Chart\Templates\rTemplates.pas',98,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint20='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',2167,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint21='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',1942,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint22='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',1928,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint23='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',580,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint24='P:\vista\tmg-cprs\CPRS-Chart\fOptionsNotes.pas',292,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint25='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',2474,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint26='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',1623,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint27='P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',209,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint28='P:\vista\tmg-cprs\CPRS-Chart\Templates\fTemplateDialog.pas',213,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint29='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',3281,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint30='P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas',3287,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint31='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',541,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint32='P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas',1949,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -181,12 +281,14 @@
 Create=1
 Visible=1
-State=0
+State=2
 Left=0
 Top=0
 Width=1024
 Height=112
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=1016
+MaxLeft=-4
+MaxTop=-4
+MaxWidth=1032
+MaxHeight=112
+ClientWidth=1024
 ClientHeight=78
 
@@ -270,5 +372,5 @@
 SplitPos=114
 ArrangeBy=Name
-SelectedItem=
+SelectedItem=Caption
 ExpandedItems=CalColors,EdgeBorders,Options
 HiddenCategories=Legacy
@@ -300,12 +402,12 @@
 Visible=0
 State=0
-Left=456
-Top=279
-Width=443
-Height=350
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=435
-ClientHeight=324
+Left=650
+Top=247
+Width=933
+Height=416
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=925
+ClientHeight=390
 TBDockHeight=411
 LRDockWidth=155
@@ -354,9 +456,9 @@
 Left=0
 Top=0
-Width=1004
+Width=307
 Height=216
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=1004
+ClientWidth=307
 ClientHeight=216
 TBDockHeight=291
@@ -463,10 +565,10 @@
 Top=12
 Width=140
-Height=370
+Height=297
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=140
-ClientHeight=370
-TBDockHeight=370
+ClientHeight=297
+TBDockHeight=297
 LRDockWidth=140
 Dockable=1
@@ -474,13 +576,13 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=0
-State=0
-Left=524
-Top=0
-Width=500
+Visible=1
+State=0
+Left=343
+Top=0
+Width=452
 Height=245
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=500
+ClientWidth=452
 ClientHeight=245
 TBDockHeight=245
@@ -496,6 +598,26 @@
 Visible=1
 State=0
-Left=82
-Top=116
+Left=12
+Top=0
+Width=315
+Height=245
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=315
+ClientHeight=245
+TBDockHeight=245
+LRDockWidth=283
+Dockable=1
+TabPosition=0
+ActiveTab=Watch List
+TabDockClients=WatchWindow,DebugLogView
+
+[DockSite1]
+DockSiteType=1
+Create=1
+Visible=1
+State=0
+Left=10
+Top=128
 Width=278
 Height=595
@@ -511,22 +633,2 @@
 TabDockClients=PropertyInspector,ObjectTree
 
-[DockSite1]
-DockSiteType=1
-Create=1
-Visible=1
-State=0
-Left=12
-Top=0
-Width=1012
-Height=245
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=1012
-ClientHeight=245
-TBDockHeight=245
-LRDockWidth=283
-Dockable=1
-TabPosition=0
-ActiveTab=Watch List
-TabDockClients=WatchWindow,DebugLogView
-